# -*- coding: utf-8 -*-
"""
    demeter web
    name:admin.py
    author:rabin
"""
from demeter.core import *

param = {}
param['method'] = 'm'
Demeter.getopt(param)

Demeter.echo(Demeter.option['method'])

method = Demeter.option['method']

cron = Demeter.service(method, 'cron')
if 'mqtt_' in method:
	cron.run()
else:
	while(True):
		cron.run()